# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kauth': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'frameworks/kcodecs': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'frameworks/kglobalaccel': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kidletime': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'frameworks/ksvg': '@latest-kf6'
    'plasma/libplasma': '@same'
    'plasma/layer-shell-qt': '@same'
    'plasma/libkscreen': '@same'
    'third-party/wayland': '@latest'

RuntimeDependencies:
- 'on': ['@all']
  'require':
    'frameworks/kdeclarative': '@latest-kf6'
    'plasma/plasma-workspace': '@latest-kf6'

Options:
  require-passing-tests-on: ['@all']
  run-gcovr: true
